Subject: Re: bug#41458: Misleading error message when call guix command using pre-inst-env script

From: Jérémy Korwin-Zmijowski <[email-masked]>
Date: Sun, 31 May 2020 20:50:46 +0200

I have no opinion, and nothing new to bring in the conversation. So let's do what fit the best to you.

Thank you for your advices.

Cheers,

Jérémy

Le 25 mai 2020 19:31:14 GMT+02:00, zimoun <[email-masked]> a écrit :
>Hi,
>
>On Sat, 23 May 2020 at 17:47, Ludovic Courtès <[email-masked]> wrote:
>> Jérémy Korwin-Zmijowski <[email-masked]> skribis:
>
>> >    $ git clone https://git.savannah.gnu.org/git/guix.git
>> > $ cd guix
>> > $ guix environment --pure guix
>> > [dev]$ ./bootstrap && ./configure --localstatedir=/var && make
>
>Hum? instead of these:
>
>> > exit
>> > $ ./pre-inst-env guix build artanis
>
>what you (Jérémy) would want seems:
>
>--8<---------------cut here---------------start------------->8---
>[dev]$ ./pre-inst-env guix pull --url=$PWD -p /path/to/your/custom
>[dev]$ exit
>$ /path/to/your/custom/bin/guix build artanis
>--8<---------------cut here---------------end--------------->8---
>
>
>> This is a development environment issue that cannot happen when using
>a
>> ‘guix pull’-provided ‘guix’ command.  I would close it as “wontfix”
>> since, after all, it’s just one of the many ways one can end up with
>a
>> non-functional development environment.
>
>Even, I would close it as 'notabug'. ;-)
>
>
>Cheers,
>simon

-- 
Envoyé de mon appareil Android avec Courriel K-9 Mail. Veuillez excuser ma brièveté.